Determine if a Document has Attachments
GET
/api/{version}/objects/documents/{doc_id}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{doc_id} | The document id field value. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/objects/documents/565Response
Section link for Response{
"responseStatus": "SUCCESS",
"document": {
"id": 128,
"version_id": "128_5_0",
},
"attachments": [
{
"id": 1901,
"url": "https://myvault.veevavault.com/api/v26.1/objects/documents/128/attachments/1901"
}
]
}Response Details
Section link for Response DetailsThis endpoint does not retrieve the number of versions of each attachment or the attachment metadata. The attachments attribute is displayed in the response for documents where attachments have been enabled on the document type (even if the document has no attachments).